<div class="sample-inputs-results">
  <div class="main-content">
    <div class="main-content__leftside">
      <electric-sidebar-left
        [type]="'add new'"
        [inputSamples]="[inputSample]"
        [selected]="inputSample"
      ></electric-sidebar-left>
    </div>
    <!-- end /main-content__leftside -->
    <div class="sample-results">
      <div class="sample-results__input" *ngIf="inputSample">
        <div class="top-header">
          <h1>{{ inputSample.sampleID }}</h1>
          <button mat-raised-button color="primary" class="btn-save" (click)="submitForm()">
            Save
          </button>
          <button mat-button color="primary" class="btn-cancel" [routerLink]="['/electric']">
            Cancel
          </button>
        </div>
        <!-- end /top-header -->
        <div class="bottom-body">
          <div class="section-one">
            <div class="section-one__leftside">
              <h1 class="main-title">Sample Properties</h1>
              <ul class="main-table">
                <li class="li-row">
                  <span class="name">Sample number</span>
                  <div class="parameter">
                    <mat-form-field appearance="outline">
                      <input matInput placeholder="" [(ngModel)]="inputSample.inputs.sampleProperties.sampleNumber" />
                      <span matSuffix>#</span>
                    </mat-form-field>
                  </div>
                </li>
                <li class="li-row">
                  <span class="name">Depth</span>
                  <div class="parameter">
                    <mat-form-field appearance="outline">
                      <input
                        matInput
                        placeholder=""
                        [(ngModel)]="inputSample.inputs.sampleProperties.depth"
                        appOnlyNumber
                      />
                      <span matSuffix>meters</span>
                    </mat-form-field>
                  </div>
                </li>
                <li class="li-row">
                  <span class="name">Proposity</span>
                  <div class="parameter">
                    <mat-form-field appearance="outline">
                      <input
                        matInput
                        placeholder=""
                        [(ngModel)]="inputSample.inputs.sampleProperties.proposity"
                        appOnlyNumber
                      />
                      <span matSuffix>fraction</span>
                    </mat-form-field>
                  </div>
                </li>
                <li class="li-row">
                  <span class="name">Air Permeability</span>
                  <div class="parameter">
                    <mat-form-field appearance="outline">
                      <input
                        matInput
                        placeholder=""
                        [(ngModel)]="inputSample.inputs.sampleProperties.airPermeability"
                        appOnlyNumber
                      />
                      <span matSuffix>md</span>
                    </mat-form-field>
                  </div>
                </li>
                <li class="li-row">
                  <span class="name">Grain Density</span>
                  <div class="parameter">
                    <mat-form-field appearance="outline">
                      <input
                        matInput
                        placeholder=""
                        [(ngModel)]="inputSample.inputs.sampleProperties.grainDensity"
                        appOnlyNumber
                      />
                      <span matSuffix>gm/cc</span>
                    </mat-form-field>
                  </div>
                </li>
                <li class="li-row">
                  <span class="name">Saturation</span>
                  <div class="parameter">
                    <mat-form-field appearance="outline">
                      <input
                        matInput
                        placeholder=""
                        [(ngModel)]="inputSample.inputs.sampleProperties.saturation"
                        appOnlyNumber
                      />
                      <span matSuffix>ppm</span>
                    </mat-form-field>
                  </div>
                </li>
                <li class="li-row">
                  <span class="name">Confining stress</span>
                  <div class="parameter">
                    <mat-form-field appearance="outline">
                      <input
                        matInput
                        placeholder=""
                        [(ngModel)]="inputSample.inputs.sampleProperties.confiningStress"
                        appOnlyNumber
                      />
                      <span matSuffix>psi</span>
                    </mat-form-field>
                  </div>
                </li>
                <li class="li-row">
                  <span class="name">Saturant Resistivity @ 25 °C</span>
                  <div class="parameter">
                    <mat-form-field appearance="outline">
                      <input
                        matInput
                        placeholder=""
                        [(ngModel)]="inputSample.inputs.sampleProperties.saturantResistivity"
                        appOnlyNumber
                      />
                      <span matSuffix>ohm-m</span>
                    </mat-form-field>
                  </div>
                </li>
                <li class="li-row">
                  <span class="name">Porosity Exponent (m) Composite</span>
                  <div class="parameter">
                    <mat-form-field appearance="outline">
                      <input
                        matInput
                        placeholder=""
                        [(ngModel)]="inputSample.inputs.sampleProperties.porosityExponentM"
                        appOnlyNumber
                      />
                      <span matSuffix>m</span>
                    </mat-form-field>
                  </div>
                </li>
                <li class="li-row">
                  <span class="name">Porosity Exponent (m*) Composite</span>
                  <div class="parameter">
                    <mat-form-field appearance="outline">
                      <input
                        matInput
                        placeholder=""
                        [(ngModel)]="inputSample.inputs.sampleProperties.porosityExponentMIndex"
                        appOnlyNumber
                      />
                      <span matSuffix>m*</span>
                    </mat-form-field>
                  </div>
                </li>
                <li class="li-row">
                  <span class="name">Intercept-Y</span>
                  <div class="parameter">
                    <mat-form-field appearance="outline">
                      <input
                        matInput
                        placeholder=""
                        [(ngModel)]="inputSample.inputs.sampleProperties.interceptY"
                        appOnlyNumber
                      />
                      <span matSuffix>a</span>
                    </mat-form-field>
                  </div>
                </li>
                <li class="li-row">
                  <span class="name">Res Rw</span>
                  <div class="parameter">
                    <mat-form-field appearance="outline">
                      <input
                        matInput
                        placeholder=""
                        [(ngModel)]="inputSample.inputs.sampleProperties.resRw"
                        appOnlyNumber
                      />
                      <span matSuffix>ohm m</span>
                    </mat-form-field>
                  </div>
                </li>
                <li class="li-row">
                  <span class="name">Res Temp</span>
                  <div class="parameter">
                    <mat-form-field appearance="outline">
                      <input
                        matInput
                        placeholder=""
                        [(ngModel)]="inputSample.inputs.sampleProperties.resTemp"
                        appOnlyNumber
                      />
                      <span matSuffix>C</span>
                    </mat-form-field>
                  </div>
                </li>
              </ul>
            </div>
            <!-- end /leftside -->
          </div>
          <!-- end /section-one -->
          <div class="section-two">
            <div class="section-two__leftside">
              <div class="content">
                <h1 class="main-title">Formation Factor</h1>
                <ul class="rows">
                  <li class="li-row">
                    <span class="name">F</span>
                    <div class="parameter">
                      <mat-form-field appearance="outline">
                        <input
                          matInput
                          placeholder=""
                          [(ngModel)]="inputSample.inputs.formationFator.f"
                          appOnlyNumber
                        />
                      </mat-form-field>
                    </div>
                  </li>
                  <li class="li-row">
                    <span class="name">F*</span>
                    <div class="parameter">
                      <mat-form-field appearance="outline">
                        <input
                          matInput
                          placeholder=""
                          [(ngModel)]="inputSample.inputs.formationFator.fIndex"
                          appOnlyNumber
                        />
                      </mat-form-field>
                    </div>
                  </li>
                </ul>
              </div>
              <div class="content last">
                <h1 class="main-title">Porosity Exponent</h1>
                <ul class="rows">
                  <li class="li-row">
                    <span class="name">m</span>
                    <div class="parameter">
                      <mat-form-field appearance="outline">
                        <input
                          matInput
                          placeholder=""
                          [(ngModel)]="inputSample.inputs.porosityExponent.m"
                          appOnlyNumber
                        />
                      </mat-form-field>
                    </div>
                  </li>
                  <li class="li-row">
                    <span class="name">m*</span>
                    <div class="parameter">
                      <mat-form-field appearance="outline">
                        <input
                          matInput
                          placeholder=""
                          [(ngModel)]="inputSample.inputs.porosityExponent.mIndex"
                          appOnlyNumber
                        />
                      </mat-form-field>
                    </div>
                  </li>
                </ul>
              </div>
            </div>
            <div class="section-two__leftside rightside">
              <div class="content">
                <h1 class="main-title">Lab values</h1>
                <ul class="rows">
                  <li class="li-row">
                    <span class="name">Lab rw</span>
                    <div class="parameter">
                      <mat-form-field appearance="outline">
                        <input matInput placeholder="" [(ngModel)]="inputSample.inputs.labValues.labRw" appOnlyNumber />
                      </mat-form-field>
                    </div>
                  </li>
                  <li class="li-row">
                    <span class="name">Lab temp</span>
                    <div class="parameter">
                      <mat-form-field appearance="outline">
                        <input
                          matInput
                          placeholder=""
                          [(ngModel)]="inputSample.inputs.labValues.labTemp"
                          appOnlyNumber
                        />
                      </mat-form-field>
                    </div>
                  </li>
                </ul>
              </div>
              <div class="content last">
                <h1 class="main-title">Saturation Exponent</h1>
                <ul class="rows">
                  <li class="li-row">
                    <span class="name">n</span>
                    <div class="parameter">
                      <mat-form-field appearance="outline">
                        <input
                          matInput
                          placeholder=""
                          [(ngModel)]="inputSample.inputs.saturationExponent.n"
                          appOnlyNumber
                        />
                      </mat-form-field>
                    </div>
                  </li>
                  <li class="li-row">
                    <span class="name">n*</span>
                    <div class="parameter">
                      <mat-form-field appearance="outline">
                        <input
                          matInput
                          placeholder=""
                          [(ngModel)]="inputSample.inputs.saturationExponent.nIndex"
                          appOnlyNumber
                        />
                      </mat-form-field>
                    </div>
                  </li>
                  <li class="li-row">
                    <span class="name">Qv, eq/L</span>
                    <div class="parameter">
                      <mat-form-field appearance="outline">
                        <input
                          matInput
                          placeholder=""
                          [(ngModel)]="inputSample.inputs.saturationExponent.qv"
                          appOnlyNumber
                        />
                      </mat-form-field>
                    </div>
                  </li>
                </ul>
              </div>
            </div>
          </div>
          <!-- end /section-two -->
          <div class="section-three">
            <h1>Water sample measurements</h1>
            <div class="main-table">
              <div class="main-table__title">
                <span class="black-title">Brine Saturation</span>
                <span class="gray-title">Resistivity Index</span>
              </div>
              <div class="main-table__subtitle">
                <span class="black-title">Fraction Vp</span>
                <span class="gray-title">RI, apparent</span>
                <span class="gray-title">RI*, corrected</span>
              </div>
              <div
                class="main-table__content"
                [perfectScrollbar]="{
                  suppressScrollY: false,
                  suppressScrollX: true
                }"
              >
                <ul class="rows" *ngIf="inputSample && inputSample.inputs">
                  <li class="li-row" *ngFor="let item of inputSample.inputs.resistivityIndex; let i = index">
                    <div class="col">
                      <div class="parameter">
                        <mat-form-field appearance="outline">
                          <input matInput placeholder="" [(ngModel)]="item.fractionVp" appOnlyNumber />
                        </mat-form-field>
                      </div>
                    </div>
                    <div class="col">
                      <div class="parameter">
                        <mat-form-field appearance="outline">
                          <input matInput placeholder="" [(ngModel)]="item.riApparent" appOnlyNumber />
                        </mat-form-field>
                      </div>
                    </div>
                    <div class="col">
                      <mat-form-field appearance="outline">
                        <input matInput placeholder="" [(ngModel)]="item.riIndexApparent" appOnlyNumber />
                      </mat-form-field>
                    </div>
                    <a href="javascript:;" class="remove-row" (click)="delete(i)">
                      <img src="assets/images/icon-remove.svg" alt="IMG" class="ic-remove" />
                    </a>
                  </li>

                  <li class="li-row" *ngIf="objWaterSample">
                    <div class="col">
                      <div class="parameter">
                        <mat-form-field appearance="outline">
                          <input matInput placeholder="" [(ngModel)]="objWaterSample.fractionVp" appOnlyNumber />
                        </mat-form-field>
                      </div>
                    </div>
                    <div class="col">
                      <div class="parameter">
                        <mat-form-field appearance="outline">
                          <input matInput placeholder="" [(ngModel)]="objWaterSample.riApparent" appOnlyNumber />
                        </mat-form-field>
                      </div>
                    </div>
                    <div class="col">
                      <mat-form-field appearance="outline">
                        <input matInput placeholder="" [(ngModel)]="objWaterSample.riIndexApparent" appOnlyNumber />
                      </mat-form-field>
                    </div>
                    <button mat-button color="primary" class="btn-add" (click)="addRowFunc()">
                      Add row
                    </button>
                  </li>
                  <!-- Add New Row -->
                </ul>
              </div>
            </div>
            <!-- end /main-table -->
            <div class="upload-file">
              <button mat-button color="primary" class="btn-upload" (click)="UploadFile.click()">
                Upload XLS File
              </button>
              <a href="assets/electrical_properties.xls" class="btn-upload">Download XLS File</a>
              <input
                type="file"
                accept=".xlsx, .xls"
                class="d-none"
                #UploadFile
                (change)="uploadFile($event)"
                [(ngModel)]="fileData"
              />
            </div>
            <!-- end /upload-file -->
          </div>
          <!-- end /section-three -->
        </div>
        <!-- end /bottom-body -->
      </div>
      <!-- end / #input -->
      <div class="content-loading" *ngIf="isLoading">
        <gng-spinner></gng-spinner>
      </div>
    </div>
    <!-- end /sample-results -->
  </div>
  <!-- end /main-content -->
</div>
<!-- end /sample-inputs-results -->
